%global _hardened_build 1
%define _prefix /opt/symas
%define _libdir %{_prefix}/lib
%define _varfix /var/opt/symas
%define _etcfix /etc/opt/symas
%define debug_package %{nil}

Summary:	Symas' libargon2 build
Name:		symas-libargon2
Version:	20190702
Release:	1%{?dist}
License:	BSD
Source:		%{name}-%{version}.tar.gz
BuildRequires:	gcc, make
AutoReqProv:	no
URL:		https://github.com/P-H-C/phc-winner-argon2

%description
The Symas libargon2 build

%package libs
Summary:		libargon2 Libaries
AutoReqProv:	no

%description libs
The symas-libargon2-libs package contains the libargon2 libraries

%package devel
Summary:	libargon2 Development
Requires:	symas-libargon2-libs = %{version}-%{release}
AutoReqProv:	no

%description devel
The symas-libargon2-devel package contains the linking libraries and include files

%prep
%setup -nq libargon2-%{version}

sed -e '/^CFLAGS/s:^CFLAGS:LDFLAGS=%{build_ldflags}\nCFLAGS:' \
    -e 's:-O3 -Wall:%{optflags}:' \
    -e 's:-march=\$(OPTTARGET) :${CFLAGS} :' \
    -e 's:CFLAGS += -march=\$(OPTTARGET)::' \
    -i Makefile

%build
make PREFIX=%{_prefix} LIBRARY_REL=lib

%check
make -j1 test

%install
make install DESTDIR=%{buildroot} PREFIX=%{_prefix} LIBRARY_REL=lib
rm -f %{buildroot}%{_libdir}/libargon2.a
rm -rf %{buildroot}%{_prefix}/bin

%files libs
%defattr(-,root,root)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_prefix}/include
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so

%changelog
* Tue Apr 6 2021 Symas Support <support@symas.com>
- initial packaging
